Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360776 - image upload - UI styling modifications
Summary: image upload - UI styling modifications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2.2
Assignee: Daniel Erez
QA Contact: Natalie Gavrielov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 13:01 UTC by Daniel Erez
Modified: 2016-08-12 14:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:25:40 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: exception+
rule-engine: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)
upload drop-down menu button (deleted)
2016-07-27 13:01 UTC, Daniel Erez
no flags Details
resize dialog (deleted)
2016-07-27 13:02 UTC, Daniel Erez
no flags Details
align choose file button (deleted)
2016-07-27 13:02 UTC, Daniel Erez
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61536 ovirt-engine-4.0 MERGED webadmin: image upload - align selection button 2016-07-28 06:46:46 UTC
oVirt gerrit 61537 ovirt-engine-4.0 MERGED webadmin: resize upload image dialog 2016-07-28 06:46:41 UTC
oVirt gerrit 61538 ovirt-engine-4.0 MERGED webadmin: Upload drop-down menu button 2016-07-28 06:46:36 UTC
oVirt gerrit 61552 ovirt-engine-4.0.2 MERGED webadmin: image upload - align selection button 2016-07-28 06:48:14 UTC
oVirt gerrit 61553 ovirt-engine-4.0.2 MERGED webadmin: resize upload image dialog 2016-07-28 06:48:04 UTC
oVirt gerrit 61554 ovirt-engine-4.0.2 MERGED webadmin: Upload drop-down menu button 2016-07-28 06:47:52 UTC

Description Daniel Erez 2016-07-27 13:01:28 UTC
Created attachment 1184649 [details]
upload drop-down menu button

Description of problem:

Image Upload dialog - UI modifications needed:
* Aggregate action buttons into a drop-down menu button - 'Upload' (sub-actions: Start/Cancel/Pause/Resume).
* Resize dialog to accommodate its widgets properly.
* Align 'Choose File' button with near widgets.

Additional info:
See attached screenshots.

Comment 1 Red Hat Bugzilla Rules Engine 2016-07-27 13:01:34 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 2 Red Hat Bugzilla Rules Engine 2016-07-27 13:01:34 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 3 Daniel Erez 2016-07-27 13:02:03 UTC
Created attachment 1184650 [details]
resize dialog

Comment 4 Daniel Erez 2016-07-27 13:02:31 UTC
Created attachment 1184651 [details]
align choose file button

Comment 6 Allon Mureinik 2016-08-01 12:28:06 UTC
This is already included in 4.0.2.2

Comment 7 Natalie Gavrielov 2016-08-02 13:40:36 UTC
Verified:
rhevm-4.0.2.3-0.1.el7ev.noarch
ovirt-imageio-proxy-0.3.0-0.el7ev.noarch
ovirt-imageio-common-0.3.0-0.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.